Pointers.h File Reference

Typedefs and macros for reference counted storage. More...

`#include <boost/enable_shared_from_this.hpp>`

Go to the source code of this file.

## Macros

#define | REFCOUNT_BASE_FILE <boost/enable_shared_from_this.hpp>
#define | REFCOUNT_BASE_CLASS(x) boost::enable_shared_from_this<x>
#define | POINTER_WRAPPER_CLASS(x) boost::shared_ptr<x>
#define | REFCOUNTNS boost

## Detailed Description

Typedefs and macros for reference counted storage.

## Macro Definition Documentation

## POINTER_WRAPPER_CLASS

#define POINTER_WRAPPER_CLASS | ( |  | x | ) | boost::shared_ptr<x>

## REFCOUNT_BASE_CLASS

#define REFCOUNT_BASE_CLASS | ( |  | x | ) | boost::enable_shared_from_this<x>

## REFCOUNT_BASE_FILE

#define REFCOUNT_BASE_FILE <boost/enable_shared_from_this.hpp>

## REFCOUNTNS

#define REFCOUNTNS boost